version: '2.1'
services:
  admin:
    image: duosecurity/network-gateway@sha256:f537ff3f9866388cb88dd2b698b3534ad4519800ad92640e1e3ca280dbe562f2
    environment:
      - "ENABLE_HA=1"
      - REDIS_HOST
      - REDIS_PORT
      - REDIS_AUTH
      - REDIS_CA_CERTS
      - REDIS_USE_SSL
    ports:
        - "8443:443"
    container_name: network-gateway-admin
    restart: always
    ulimits:
      nofile:
        soft: 65536
        hard: 65536
    logging:
      driver: json-file
      options:
        max-size: "50m"
        max-file: "20"
